# Based on x86_64 - provides the stage1 bootstrap definitions
# We force a new cross compilation step into existence with
# our "-xvendorID"
#
# This is washed out in stage2.
# We also force a "GNU/Linux" host ABI in this stage.
definitions:

    - prefix         : "/usr/bootstrap-stage1"
    - libsuffix      : ""
    - build_platform : x86_64-linux-gnu
    - host_platform  : x86_64-%(vendorID)
    - cc             : "%(compiler_c)"
    - cxx            : "%(compiler_cxx)"
    - cpp            : "%(compiler_cpp)"
    - march          : x86-64-v2
    - mtune          : ivybridge
    - bootstrap_root : /bill

flags:

    # Set architecture flags
    - architecture:
        c         : "-march=x86-64-v2 -mtune=ivybridge"
        cxx       : "-march=x86-64-v2 -mtune=ivybridge"

defaultTuningGroups :
    - base
    - optimize